"""
test_DROP_Alto.py — Stress Test: rimozione dello scaffale Alto dal catalogo

Come funziona:
  1. import_dataset()                           : carica il catalogo completo
  2. Crea un'istanza di "ScaffaleDropStressTest" con parametro "shelf_drop=['Alto']" da droppare
  3. Chiama il metodo sim_ScaffaleDropStressTest() : per le probabilità aggiorante
  4. Salva CSV con prodotti rimasti, probabilità medie, probabilità per segmento
[Si può aggiungere il plot come in altri test, vedere ad esempio test_DROP_A.py]

Output:
  - prodotti_noAlto.csv       : DataFrame prodotti dopo il drop
  - prob_prodotti_noAlto.csv  : vettore probabilità medie
  - prob_segmenti_noAlto.csv  : matrice probabilità per segmento
"""
import sys
import os
cartella_progetto = os.path.abspath(os.path.join(os.path.dirname(__file__), '..'))
if cartella_progetto not in sys.path:
    sys.path.append(cartella_progetto)
from models import *
from plot_segment_test import *
from prepare_data import import_dataset

prodotti_tab=import_dataset() 

test_noAlto = ScaffaleDropStressTest(prodotti_tab, shelf_drop=['Alto'])
res_noAlto = test_noAlto.sim_ScaffaleDropStressTest(MNLChoiceModel, LatentChoiceModel)

# Esportazione caratteristiche prodotti rimasti
res_noAlto[0].to_csv(r'test_res\prodotti_noAlto.csv', index=False)
# Esportazione probabilità prodotti
res_noAlto[1].to_csv(r'test_res\prob_prodotti_noAlto.csv', header=False, index=False)
# Esportazione probabilità segmenti
res_noAlto[2].to_csv(r'test_res\prob_segmenti_noAlto.csv', header=False, index=False)

